[Config]
;Default alarm started for the mail gateway
DefaultAlarmKey=7999

;Optional domain name for mail gateway. If to address does not contain specified domain,
;the gateway module returns
MailGatewayDomainName=

;Get alarm message from subject instead of mail body
UseSubjectAsMessage=0

;Extract the alarm message with the specified regular expression from the body or subject
ExtractMessageWithRegExp=

;-------------------------------------------------------------EXTRACT TYPE
;Extract 3 digit phone type from mail (SMS, PAG, MMS, ...)
;Only use this extraction if not CheckFor function is active
[ExtractPhoneType]

;Activate extraction of phone type from mail (=1)
Active=0

;Extract phone type from subject (=1) or from mail body text (=0)
ExtractFromSubjectInsteadBody=0

;RegularExpression to extract the phone type
RegExpForPhoneType=


;-------------------------------------------------------------EXTRACT NUMBER
;Extract the phone number(s) from the mail. Depended on the phone type this is the SMS, Pager, MMS number
;Only use this extraction if not CheckFor function is active
[ExtractPhoneNumbers]

;Activate extraction of phone number from mail (=1)
Active=0

;Extract phone number from subject (=1) or from mail body text (=0)
ExtractFromSubjectInsteadBody=0

;RegularExpression to extract the phone number(s). 
;If multiple numbers, extract all numbers with seperator
RegExpForPhoneNumber=

;Seperator to seperate the numbers (Example: <phone1>;<phone2>;<phone3> )
NumberSeperator=;

;Default phone type if no type extracted
DefaultPhoneType=



;-------------------------------------------------------------NUMBER IN FROM
;Get phone number from to-mail address. Only one number is read.
;Do not activate togehter with the ExtractPhone functions
[CheckForNumber]

Active=0
RegExpForNumber=^([0-9]*)@
MinLengthOfNumber=4
ExtIfLongerThenChars=6
DefaultType=

Prefix1=079
Type1=SMS

Prefix2=078
Type2=SMS

Prefix3=077
Type3=SMS

Prefix4=076
Type4=SMS

Prefix5=074
Type5=PAG


;-------------------------------------------------------------NAME IN FROM
;Get name from to-mail address and get number from specified mapping ini file
[CheckForName]
Active=0
RegExpForName=^(.*)@
DefaultType=SMS
NameMappingIni=nvamgw_name.ini

Prefix1=sms
Type1=SMS
MappingIni1=nvamgw_sms.ini

Prefix2=pager
Type2=PAG
MappingIni2=nvamgw_pager.ini


;-------------------------------------------------------------GROUP IN FROM
;Extract group number from to-mail address and start alarm with this group
[CheckForGroup]
Active=0
FirstGroupNumber=90
LastGroupNumber=99
RegExpForGroup=^(.*)@
